package com.bwie.post.service.impl;

import com.bwie.common.domain.Company;
import com.bwie.common.domain.request.PostReq;
import com.bwie.common.domain.response.PostVo;
import com.bwie.common.domain.response.ResumeVo;
import com.bwie.post.mapper.PostMapper;
import com.bwie.post.service.PostService;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class PostServiceImpl implements PostService {
    @Resource
    private PostMapper postMapper;
    @Override
    public List<PostVo> selPostList(PostReq postReq) {
        return postMapper.selPostList(postReq);
    }

    @Override
    public  List<PostVo> selNewPost() {

        return postMapper.selNewPost();
    }

    @Override
    public List<Company> selCompanyList() {
        return postMapper.selCompanyList();
    }


}
