package com.bwie.resume.controller;

import com.bwie.common.domain.Resume;
import com.bwie.common.result.Result;
import com.bwie.resume.service.ResumeService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/resume")
public class ResumeController {
    @Resource
    private ResumeService resumeService;




    @GetMapping("/selResumeVoList")
    public Result selResumeVoList(){
        return Result.success(resumeService.selResumeVoList());
    }

    @PostMapping("/addResume")
    public Result addResume(@RequestBody Resume resume){

            return Result.success(resumeService.addResume(resume));

    }


    @GetMapping("/passResumeStatus")
    public Result passResumeStatus(@RequestParam Integer resumeId){
        Integer i = resumeService.passResumeStatus(resumeId);
        if (i>0){
            return Result.success("审批成功");
        }
        return Result.success("审批失败");
    }


    @GetMapping("/backResumeStatus")
    public Result backResumeStatus(@RequestParam Integer resumeId){
        Integer i = resumeService.backResumeStatus(resumeId);
        if (i>0){
            return Result.success("驳回成功");
        }
        return Result.success("驳回失败");
    }

}
