package com.bwie.resume.mapper;

import com.bwie.common.domain.Resume;
import com.bwie.common.domain.response.ResumeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResumeMapper {


    //候选人列表
    List<ResumeVo> selResumeVoList();

    //投简历唯一验证
    Resume selByUserIdAndPostId(@Param("userId")Integer userId, @Param("postId")Integer postId);

    //投简历
    Integer addResume(Resume resume);

    //修改岗位招聘人数
    void updPostNum(@Param("postId")Integer postId);


    //修改个人投简历数
    void updUserNum(@Param("userId")Integer userId);

    //通过

    Integer passResumeStatus(@Param("resumeId")Integer resumeId);

    //驳回
    Integer backResumeStatus(@Param("resumeId")Integer resumeId);


    //根据审批信息查找投简历人电话
    String selUserPhoneByResumeId(@Param("resumeId")Integer resumeId);
}
