package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/auth")
public class AuthController {
    @Resource
    private AuthService authService;


    @PostMapping("/login")
    public Result login(@RequestBody User user){
        return authService.login(user);
    }

    @GetMapping("/getInfo")
    public Result getInfo(){
        return authService.getInfo();
    }
}
