package com.bwie.post.controller;

import com.bwie.common.domain.Company;
import com.bwie.common.domain.request.PostReq;
import com.bwie.common.domain.response.PostVo;
import com.bwie.common.domain.response.ResumeVo;
import com.bwie.common.result.Result;
import com.bwie.post.service.PostService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/post")
public class PostController {
    @Resource
    private PostService postService;


    @PostMapping("/selPostList")
    public Result selPostList(@RequestBody PostReq postReq){
        return Result.success(postService.selPostList(postReq));
    }


    @GetMapping("/selNewPost")
    public Result selNewPost(){
        return Result.success(postService.selNewPost());
    }

    @GetMapping("/selCompanyList")
    public Result selCompanyList(){
        return Result.success(postService.selCompanyList());
    }


}
