package com.bwie.post.mapper;

import com.bwie.common.domain.Company;
import com.bwie.common.domain.Resume;
import com.bwie.common.domain.request.PostReq;
import com.bwie.common.domain.response.PostVo;
import com.bwie.common.domain.response.ResumeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PostMapper {
    List<PostVo> selPostList(PostReq postReq);
    //查询过期岗位
    List<PostVo> selPostOverdue();

    //逻辑删除过期岗位
    void updPostShow(@Param("postId")Integer postId);

    //查询最近岗位
    List<PostVo> selNewPost();

    //公司下拉框
    List<Company> selCompanyList();


}
